@echo off

IF /i "%1"=="-clean" GOTO clean

set LZ4=.\tool\lz4\lz4.exe
set MAGIC=.\tool\imagemagick\convert.exe
set SOX=.\tool\sox\sox.exe
set CMAP=.\tool\imagemagick\gbrgbw.bmp
set DECSCN=.\tool\decscn\decscn.exe
set TH256DEC=.\tool\th256\th256dec.exe
set LEAFUNPACK=.\tool\th256\leafunpack.exe
set GBFILE=.\tool\th256\gbfile.exe
set BINPASTE=.\tool\th256\binpaste.exe
set GBFIX=.\tool\th256\gbfix.exe
set THBIN=.\tool\bin\thgb.bin

IF NOT EXIST %LZ4% GOTO BATEND
IF NOT EXIST %MAGIC% GOTO BATEND
IF NOT EXIST %SOX% GOTO BATEND
IF NOT EXIST %CMAP% GOTO BATEND
IF NOT EXIST %DECSCN% GOTO BATEND
IF NOT EXIST %TH256DEC% GOTO BATEND
IF NOT EXIST %LEAFUNPACK% GOTO BATEND
IF NOT EXIST %GBFILE% GOTO BATEND
IF NOT EXIST %BINPASTE% GOTO BATEND
IF NOT EXIST %GBFIX% GOTO BATEND
IF NOT EXIST %THBIN% GOTO BATEND

IF NOT EXIST LVNS3DAT.PAK GOTO BATEND
IF NOT EXIST LVNS3SCN.PAK GOTO BATEND


rem =================================================================
rem // PAK A[JCu
rem =================================================================

%LEAFUNPACK% x LVNS3DAT.PAK dat
%LEAFUNPACK% x LVNS3SCN.PAK scn

rem =================================================================
rem // SCN t@CfR[h
rem =================================================================
cd scn
..\%DECSCN%
cd ..

rem =================================================================
rem // LF2 摜Ro[g
rem =================================================================

call tool\picconv.bat

rem =================================================================
rem // P16 t@CRo[g
rem =================================================================

call tool\p16conv.bat

rem =================================================================
rem // SCN t@Ck
rem =================================================================

call tool\scnconv.bat

rem =================================================================
rem // 
rem =================================================================

%BINPASTE% p16_fat.bin -aj 16384 0
copy /b %THBIN%+p16_fat.bin+p16.bin+picfat.bin+picout.bin+scnfat.bin+scnout.bin thgb.gbc
%GBFIX% thgb.gbc

rem =================================================================
rem // Complete!!
rem =================================================================
echo ܂

rem =================================================================
rem // |
rem =================================================================
:clean
rmdir /S /Q bg
rmdir /S /Q chr
rmdir /S /Q dat
rmdir /S /Q gbpic
rmdir /S /Q p16
rmdir /S /Q picout
rmdir /S /Q scn
rmdir /S /Q scnbig
rmdir /S /Q scnlz4
del *.z80
del *log.txt
del scn*.bin
del pic*.bin
del p16*.bin
goto :eof

rem =================================================================
rem // G[
rem =================================================================
:BATEND
echo G[Fc[܂̓f[^܂B
