@echo off

IF /i "%1"=="-clean" GOTO clean

set INOPTS=--type raw --endian little --bits 16 --channels 2 --encoding signed-integer --rate 11025
set OUTOPTS=--type raw --bits 8 --channels 1 --encoding unsigned-integer --rate 8192

mkdir p16

for %%n in (dat\*.P16) do call :proc_p16 %%n
move /Y *.raw p16
%GBFILE% -p16t p16
del p16\*.raw
move /Y *.pcm p16
%GBFILE% -m1 -b34 -s1 p16
goto :eof

rem =================================================================
rem // P16 -> GB p 8192Hz 4bit 32step mono PCM t@C
rem =================================================================
:proc_p16
%SOX% %INOPTS% %1 %OUTOPTS% %~n1.raw -V1 rate -h gain -l 6
exit /B 1

rem =================================================================
rem // |
rem =================================================================
:clean
del p16\*.*

